=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2008-10-06 05:57:49 +0000
+++ client/drizzle.cc	2008-10-07 22:29:30 +0000
@@ -610,10 +610,6 @@
   { "QUARTER", 0, 0, 0, ""},
   { "QUERY", 0, 0, 0, ""},
   { "QUICK", 0, 0, 0, ""},
-  { "RAID0", 0, 0, 0, ""},
-  { "RAID_CHUNKS", 0, 0, 0, ""},
-  { "RAID_CHUNKSIZE", 0, 0, 0, ""},
-  { "RAID_TYPE", 0, 0, 0, ""},
   { "READ", 0, 0, 0, ""},
   { "READS", 0, 0, 0, ""},
   { "REAL", 0, 0, 0, ""},

=== modified file 'client/errname.h'
--- client/errname.h	2008-07-30 18:03:54 +0000
+++ client/errname.h	2008-10-07 22:29:30 +0000
@@ -204,7 +204,6 @@
   { "ER_PRIMARY_CANT_HAVE_NULL", 1171 },
   { "ER_TOO_MANY_ROWS", 1172 },
   { "ER_REQUIRES_PRIMARY_KEY", 1173 },
-  { "ER_NO_RAID_COMPILED", 1174 },
   { "ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE", 1175 },
   { "ER_KEY_DOES_NOT_EXITS", 1176 },
   { "ER_CHECK_NO_SUCH_TABLE", 1177 },

=== modified file 'drizzled/drizzled_error_messages.h'
--- drizzled/drizzled_error_messages.h	2008-09-16 00:00:48 +0000
+++ drizzled/drizzled_error_messages.h	2008-10-07 22:29:30 +0000
@@ -375,8 +375,6 @@
 N_("Result consisted of more than one row"),
 /* ER_REQUIRES_PRIMARY_KEY 42000  */
 N_("This table type requires a primary key"),
-/* ER_NO_RAID_COMPILED   */
-N_("This version of MySQL is not compiled with RAID support"),
 /* ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE   */
 N_("You are using safe update mode and you tried to update a table without a WHERE that uses a KEY column"),
 /* ER_KEY_DOES_NOT_EXITS 42000 S1009 */

=== modified file 'drizzled/error.h'
--- drizzled/error.h	2008-09-22 23:10:45 +0000
+++ drizzled/error.h	2008-10-07 22:29:30 +0000
@@ -198,7 +198,6 @@
   ER_PRIMARY_CANT_HAVE_NULL,
   ER_TOO_MANY_ROWS,
   ER_REQUIRES_PRIMARY_KEY,
-  ER_NO_RAID_COMPILED,
   ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE,
   ER_KEY_DOES_NOT_EXITS,
   ER_CHECK_NO_SUCH_TABLE,

=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2008-10-06 06:47:29 +0000
+++ drizzled/handler.h	2008-10-07 22:29:30 +0000
@@ -318,7 +318,6 @@
 /* Bits in used_fields */
 #define HA_CREATE_USED_AUTO             (1L << 0)
 #ifdef DEAD_OPTIONS
-#define HA_CREATE_USED_RAID             (1L << 1) /* Historical, no longer supported */
 #define HA_CREATE_USED_UNION            (1L << 2)
 #define HA_CREATE_USED_PASSWORD         (1L << 17)
 #endif

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2008-10-07 19:30:18 +0000
+++ drizzled/table.cc	2008-10-07 22:29:30 +0000
@@ -1975,7 +1975,7 @@
 		   create_info->default_table_charset->number : 0);
     fileinfo[39]= (unsigned char) create_info->page_checksum;
     fileinfo[40]= (unsigned char) create_info->row_type;
-    /* Next few bytes where for RAID support */
+    /* Next few bytes were for RAID support */
     fileinfo[41]= 0;
     fileinfo[42]= 0;
     int4store(fileinfo+43,create_info->block_size);

=== modified file 'mysys/mf_iocache.c'
--- mysys/mf_iocache.c	2008-10-07 02:23:06 +0000
+++ mysys/mf_iocache.c	2008-10-07 22:29:30 +0000
@@ -47,7 +47,6 @@
   write buffer to the read buffer before we start to reuse it.
 */
 
-#define MAP_TO_USE_RAID
 #include "mysys_priv.h"
 #include <mystrings/m_string.h>
 #ifdef HAVE_AIOWAIT

=== modified file 'mysys/mf_iocache2.c'
--- mysys/mf_iocache2.c	2008-10-07 02:23:06 +0000
+++ mysys/mf_iocache2.c	2008-10-07 22:29:30 +0000
@@ -17,7 +17,6 @@
   More functions to be used with IO_CACHE files
 */
 
-#define MAP_TO_USE_RAID
 #include "mysys_priv.h"
 #include <mystrings/m_string.h>
 #include <stdarg.h>

=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2008-10-07 01:38:03 +0000
+++ mysys/my_sys.h	2008-10-07 22:29:30 +0000
@@ -46,7 +46,6 @@
 #define MY_WAIT_IF_FULL 32	/* Wait and try again if disk full error */
 #define MY_IGNORE_BADFD 32      /* my_sync: ignore 'bad descriptor' errors */
 #define MY_SYNC_DIR     1024    /* my_create/delete/rename: sync directory */
-#define MY_RAID         64      /* Support for RAID */
 #define MY_FULL_IO     512      /* For my_read - loop intil I/O is complete */
 #define MY_DONT_CHECK_FILESIZE 128 /* Option to init_io_cache() */
 #define MY_LINK_WARNING 32	/* my_redel() gives warning if links */

=== modified file 'storage/myisam/mi_check.c'
--- storage/myisam/mi_check.c	2008-10-06 06:47:29 +0000
+++ storage/myisam/mi_check.c	2008-10-07 22:29:30 +0000
@@ -53,12 +53,7 @@
 #include <sys/mman.h>
 #endif
 
-#ifndef USE_RAID
-#define my_raid_create(A,B,C,D,E,F,G) my_create(A,B,C,G)
-#define my_raid_delete(A,B,C) my_delete(A,B)
-#endif
-
-	/* Functions defined in this file */
+/* Functions defined in this file */
 
 static int check_k_link(MI_CHECK *param, MI_INFO *info,uint32_t nr);
 static int chk_index(MI_CHECK *param, MI_INFO *info,MI_KEYDEF *keyinfo,
@@ -1464,22 +1459,19 @@
   if (!rep_quick)
   {
     /* Get real path for data file */
-    if ((new_file=my_raid_create(fn_format(param->temp_filename,
-					   share->data_file_name, "",
-					   DATA_TMP_EXT, 2+4),
-				 0,param->tmpfile_createflag,
-				 share->base.raid_type,
-				 share->base.raid_chunks,
-				 share->base.raid_chunksize,
-				 MYF(0))) < 0)
+    if ((new_file=my_create(fn_format(param->temp_filename,
+                                      share->data_file_name, "",
+                                      DATA_TMP_EXT, 2+4),
+                            0,param->tmpfile_createflag,
+                            MYF(0))) < 0)
     {
       mi_check_print_error(param,"Can't create new tempfile: '%s'",
-			   param->temp_filename);
+                           param->temp_filename);
       goto err;
     }
     if (new_header_length &&
         filecopy(param,new_file,info->dfile,0L,new_header_length,
-		 "datafile-header"))
+                 "datafile-header"))
       goto err;
     info->s->state.dellink= HA_OFFSET_ERROR;
     info->rec_cache.file=new_file;
@@ -1635,8 +1627,7 @@
     if (new_file >= 0)
     {
       my_close(new_file,MYF(0));
-      my_raid_delete(param->temp_filename,info->s->base.raid_chunks,
-                     MYF(MY_WME));
+      my_delete(param->temp_filename, MYF(MY_WME));
       info->rec_cache.file=-1; /* don't flush data to new_file, it's closed */
     }
     mi_mark_crashed_on_repair(info);
@@ -2089,17 +2080,14 @@
   if (!rep_quick)
   {
     /* Get real path for data file */
-    if ((new_file=my_raid_create(fn_format(param->temp_filename,
-					   share->data_file_name, "",
-					   DATA_TMP_EXT, 2+4),
-				 0,param->tmpfile_createflag,
-				 share->base.raid_type,
-				 share->base.raid_chunks,
-				 share->base.raid_chunksize,
-				 MYF(0))) < 0)
+    if ((new_file=my_create(fn_format(param->temp_filename,
+                                      share->data_file_name, "",
+                                      DATA_TMP_EXT, 2+4),
+                            0,param->tmpfile_createflag,
+                            MYF(0))) < 0)
     {
       mi_check_print_error(param,"Can't create new tempfile: '%s'",
-			   param->temp_filename);
+                           param->temp_filename);
       goto err;
     }
     if (new_header_length &&
@@ -2337,10 +2325,9 @@
     if (new_file >= 0)
     {
       my_close(new_file,MYF(0));
-      my_raid_delete(param->temp_filename,share->base.raid_chunks,
-                     MYF(MY_WME));
+      my_delete(param->temp_filename, MYF(MY_WME));
       if (info->dfile == new_file)
-	info->dfile= -1;
+        info->dfile= -1;
     }
     mi_mark_crashed_on_repair(info);
   }
@@ -2503,15 +2490,12 @@
   if (!rep_quick)
   {
     /* Get real path for data file */
-    if ((new_file=my_raid_create(fn_format(param->temp_filename,
-					   share->data_file_name, "",
-					   DATA_TMP_EXT,
-					   2+4),
-				 0,param->tmpfile_createflag,
-				 share->base.raid_type,
-				 share->base.raid_chunks,
-				 share->base.raid_chunksize,
-				 MYF(0))) < 0)
+    if ((new_file=my_create(fn_format(param->temp_filename,
+                                      share->data_file_name, "",
+                                      DATA_TMP_EXT,
+                                      2+4),
+                            0,param->tmpfile_createflag,
+                            MYF(0))) < 0)
     {
       mi_check_print_error(param,"Can't create new tempfile: '%s'",
 			   param->temp_filename);
@@ -2851,10 +2835,9 @@
     if (new_file >= 0)
     {
       my_close(new_file,MYF(0));
-      my_raid_delete(param->temp_filename,share->base.raid_chunks,
-                     MYF(MY_WME));
+      my_delete(param->temp_filename, MYF(MY_WME));
       if (info->dfile == new_file)
-	info->dfile= -1;
+        info->dfile= -1;
     }
     mi_mark_crashed_on_repair(info);
   }

=== modified file 'storage/myisam/mi_open.c'
--- storage/myisam/mi_open.c	2008-10-06 06:47:29 +0000
+++ storage/myisam/mi_open.c	2008-10-07 22:29:30 +0000
@@ -860,9 +860,11 @@
   mi_int2store(ptr,base->max_key_length);		ptr +=2;
   mi_int2store(ptr,base->extra_alloc_bytes);		ptr +=2;
   *ptr++= base->extra_alloc_procent;
-  *ptr++= base->raid_type;
-  mi_int2store(ptr,base->raid_chunks);			ptr +=2;
-  mi_int4store(ptr,base->raid_chunksize);		ptr +=4;
+  /* old raid info  slots */
+  *ptr++= 0;
+  mi_int2store(ptr,UINT16_C(0));			ptr +=2;
+  mi_int4store(ptr,UINT32_C(0));         		ptr +=4;
+
   memset(ptr, 0, 6);					ptr +=6; /* extra */
   return my_write(file, buff, (size_t) (ptr-buff), MYF(MY_NABP)) != 0;
 }
@@ -894,15 +896,9 @@
   base->max_key_length = mi_uint2korr(ptr);		ptr +=2;
   base->extra_alloc_bytes = mi_uint2korr(ptr);		ptr +=2;
   base->extra_alloc_procent = *ptr++;
-  base->raid_type= *ptr++;
-  base->raid_chunks= mi_uint2korr(ptr);			ptr +=2;
-  base->raid_chunksize= mi_uint4korr(ptr);		ptr +=4;
-  /* TO BE REMOVED: Fix for old RAID files */
-  if (base->raid_type == 0)
-  {
-    base->raid_chunks=0;
-    base->raid_chunksize=0;
-  }
+
+  /* advance past raid_type (1) raid_chunks (2) and raid_chunksize (4) */
+  ptr+= 7; 
 
   ptr+=6;
   return ptr;
@@ -1043,7 +1039,7 @@
 }
 
 /**************************************************************************
-Open data file with or without RAID
+Open data file
 We can't use dup() here as the data file descriptors need to have different
 active seek-positions.
 

=== modified file 'storage/myisam/myisamchk.c'
--- storage/myisam/myisamchk.c	2008-10-06 06:47:29 +0000
+++ storage/myisam/myisamchk.c	2008-10-07 22:29:30 +0000
@@ -1193,13 +1193,6 @@
 	     share->base.auto_key,
 	     llstr(share->state.auto_increment,llbuff));
     }
-    if (share->base.raid_type)
-    {
-      printf("RAID:                Type:  %u   Chunks: %u  Chunksize: %lu\n",
-	     share->base.raid_type,
-	     share->base.raid_chunks,
-	     share->base.raid_chunksize);
-    }
     if (share->options & (HA_OPTION_CHECKSUM | HA_OPTION_COMPRESS_RECORD))
       printf("Checksum:  %23s\n",llstr(info->state->checksum,llbuff));
 ;

=== modified file 'storage/myisam/myisamdef.h'
--- storage/myisam/myisamdef.h	2008-10-06 06:47:29 +0000
+++ storage/myisam/myisamdef.h	2008-10-07 22:29:30 +0000
@@ -25,7 +25,7 @@
 #include <mysys/thr_lock.h>
 #include <libdrizzle/drizzle_com.h>
 
-#if defined(my_write) && !defined(MAP_TO_USE_RAID)
+#if defined(my_write)
 #undef my_write				/* undef map from my_nosys; We need test-if-disk full */
 #endif
 
@@ -130,7 +130,7 @@
   uint32_t extra_alloc_procent;
   /* Info about raid */
   uint32_t raid_type,raid_chunks;
-  ulong raid_chunksize;
+  uint32_t raid_chunksize;
   /* The following are from the header */
   uint32_t key_parts,all_key_parts;
 } MI_BASE_INFO;

